<?php

namespace Litecms\FundTransferSetting\Repositories\Eloquent;

use Litecms\FundTransferSetting\Interfaces\FundTransferSettingRepositoryInterface;
use Litepie\Repository\Eloquent\BaseRepository;

class FundTransferSettingRepository extends BaseRepository implements FundTransferSettingRepositoryInterface
{


    public function boot()
    {
        $this->fieldSearchable = config('litecms.fund_transfer_setting.fund_transfer_setting.model.search');

    }

    /**
     * Specify Model class name.
     *
     * @return string
     */
    public function model()
    {
        return config('litecms.fund_transfer_setting.fund_transfer_setting.model.model');
    }
}
