<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;

class CreateFundTransferSettingsTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: fund_transfer_settings
         */
        Schema::create('fund_transfer_settings', function ($table) {
            $table->increments('id');
            $table->tinyInteger('fund_trasfer_status')->nullable();
            $table->decimal('min_amount', 50)->nullable();
            $table->decimal('max_amount', 50)->nullable();
            $table->tinyInteger('admin_fee_type')->nullable();
            $table->tinyInteger('internal_fee_form')->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('fund_transfer_settings');
    }
}
